<?php
/**
 * System configurations file
 *
 * PHP versions 5
 *
 * @copyright     Copyright (c) 2011 - 2012, National Institute of Informatics,
 * @license       BSD License (http://creativecommons.org/licenses/BSD/)
 */

/**
 * IP address limit of API
 */
$config['api'] = array(
	'ip' => array('127.0.0.1', '122.213.14.12', '122.211.45.146', '136.187.100.212', '136.187.100.210','136.187.100.218', "136.187.100.222")
);

/**
 * satl of StoredId
 *
 * attribute-resolver.xml
 * <resolver:DataConnector xsi:type="StoredId" xmlns="urn:mace:shibboleth:2.0:resolver:dc"
 *   id="storedID"
 *   generatedAttributeID="storedID"
 *   sourceAttributeID="uid"
 *   salt="xxxxxxxxxxxxx">,
 */
$config['salt'] = 'ejoa30aq3j40j03jagz';

/**
 * mAP's entityID
 */
$config['entityID'] = 'https://map.gakunin.nii.ac.jp/idp/shibboleth';

/**
 * Key of the Duplicate  error message in database..
 */
$config['db_duplicate_error_key'] = '/^1062:/';

/**
 *
 * Production mode
 */
$config['production_mode'] = true;
?>
